Class | MultiTkIp_OK
In: | tk/lib/multi-tk.rb
Parent: | Exception

exceptiopn to treat the return value from IP

### Methods

new send

### External Aliases

return_value | -> | value

### Attributes

return_value | [R] |

### Public Class methods

new(ret=nil)

[Source]

    # File tk/lib/multi-tk.rb, line 43
      def initialize(ret=nil)
        super('succeed')
        @return_value = ret
      end

send(thread, ret=nil)

[Source]

    # File tk/lib/multi-tk.rb, line 39
      def self.send(thread, ret=nil)
        thread.raise self.new(ret)
      end

[Validate]